Skip to main content
GET
/
client
/
orders
/
{order_id}
cURL
curl --request GET \
  --url https://sandbox-remote-api.rayda.co/api/v2/client/orders/{order_id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Record fetched successfully",
  "data": {
    "id": "9e1c808a-a5f9-4033-90c6-092ec04fb4a1",
    "order_number": "REM-59B22-2025",
    "status": "in_progress",
    "total_amount": "8092.71",
    "employee_count": 2,
    "currency": "£",
    "payment_method": "Card",
    "type": null,
    "country": "Nigeria",
    "country_code": "NG",
    "ordered_by": "John Doe",
    "order_date": "2025-02-01T23:28:48.000000Z",
    "budget_count": "0%",
    "pick_up_count": 0,
    "delivered_count": 0,
    "sub_orders": [
      {
        "id": "9e1c808a-b228-43e0-9e9d-e6b4dc088f7e",
        "employee_id": "9e199aff-9ac7-47f9-8e43-91d90a5ee4df",
        "currency": "£",
        "employee_first_name": "Meda",
        "employee_last_name": "Doyle",
        "employee_email": "[email protected]",
        "address": "555 Agege Motor Road, Ikeja, Nigeria, Nigeria",
        "job_title": null,
        "status": "order_placed",
        "events": [
          {
            "id": "9e1c808a-b681-4bf1-a6a0-52861f90c9f2",
            "asset_order_id": "9e1c808a-b228-43e0-9e9d-e6b4dc088f7e",
            "status": "order_placed",
            "created_at": "2025-02-01T23:28:48.000000Z",
            "updated_at": "2025-02-01T23:28:48.000000Z"
          }
        ],
        "total_amount": "2400",
        "assets": [
          {
            "id": "9d5d53c1-99e6-4f04-9e81-d1b48cc00624",
            "asset_spec_id": "9d5d53c1-99e6-4f04-9e81-d1b48cc00624",
            "asset_id": "9d5d534d-562f-4d16-8d1d-3b2e3e587d43",
            "name": "HP Victus 16-r0097nr",
            "description": "HP 16-r0097nr, LINUX OS, 16.1\", Intel® Core™ i7, 16GB RAM, 512 SSD, NVIDIA® GeForce RTX™ 4050, FHD, Mica.",
            "year": "2022",
            "type": "Sale",
            "make": "HP",
            "model": "14-dq0004x",
            "category": "Laptop",
            "asset_code": null,
            "status": "order_placed",
            "images": [
              "https://s3.amazonaws.com/rayda.co/test/9d5d534d-562f-4d16-8d1d-3b2e3e587d43/1730387720.webp",
              "https://s3.amazonaws.com/rayda.co/test/9d5d534d-562f-4d16-8d1d-3b2e3e587d43/1730387721.jpg"
            ],
            "spec": {
              "condition": "New",
              "display": "16.1 Inches",
              "processor": "i7",
              "RAM": "16GB",
              "storage": "512GB SSD"
            },
            "asset_pricing": {
              "id": "9d5d53c1-a184-4e49-b7d1-37c6ed85be4e",
              "amount": "2400",
              "currency": {
                "code": "GBP",
                "name": "British Pound Sterling",
                "symbol": "£"
              }
            }
          }
        ]
      },
      {
        "id": "9e1c808a-dd08-4c57-90bf-4cd32504fd16",
        "employee_id": "9e199b00-fbd7-498c-88c5-87959ab1ae3e",
        "currency": "£",
        "employee_first_name": "Candida",
        "employee_last_name": "Bayer",
        "employee_email": "[email protected]",
        "address": "45 Road, Gwarinpa, Nigeria, Nigeria",
        "job_title": null,
        "status": "order_placed",
        "events": [
          {
            "id": "9e1c808a-e0e2-4798-af2e-a2942f8cdb13",
            "asset_order_id": "9e1c808a-dd08-4c57-90bf-4cd32504fd16",
            "status": "order_placed",
            "created_at": "2025-02-01T23:28:48.000000Z",
            "updated_at": "2025-02-01T23:28:48.000000Z"
          }
        ],
        "total_amount": "2400",
        "assets": [
          {
            "id": "9d5d55c2-f8c1-4a57-97f7-be3253f1ca06",
            "asset_spec_id": "9d5d55c2-f8c1-4a57-97f7-be3253f1ca06",
            "asset_id": "9d5d5549-4c43-4058-b442-32e746a787f8",
            "name": "Asus Intel core i5-(13th generation)",
            "description": "ASUS Intel core i5-(13th generation), 512SSD, 16GB RAM, LINUX OS, NVIDIA RTX 4050.",
            "year": "2022",
            "type": "Sale",
            "make": "Asus",
            "model": "14-cf2224nia",
            "category": "Laptop",
            "asset_code": null,
            "status": "order_placed",
            "images": [
              "https://s3.amazonaws.com/rayda.co/test/9d5d5549-4c43-4058-b442-32e746a787f8/1730388379.jpg",
              "https://s3.amazonaws.com/rayda.co/test/9d5d5549-4c43-4058-b442-32e746a787f8/1730388380.jpg"
            ],
            "spec": {
              "condition": "New",
              "processor": "i5",
              "RAM": "16GB",
              "storage": "512GB SSd"
            },
            "asset_pricing": {
              "id": "9d5d55c3-0023-4cc8-8f0f-35f4492142f2",
              "amount": "2400",
              "currency": {
                "code": "GBP",
                "name": "British Pound Sterling",
                "symbol": "£"
              }
            }
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

ID of the order to retrieve

Response

Record fetched successfully

success
boolean
Example:

true

message
string
Example:

"Record fetched successfully"

data
object
Example:
{
"id": "9e1c808a-a5f9-4033-90c6-092ec04fb4a1",
"order_number": "REM-59B22-2025",
"status": "in_progress",
"total_amount": "8092.71",
"employee_count": 2,
"currency": "£",
"payment_method": "Card",
"type": null,
"country": "Nigeria",
"country_code": "NG",
"ordered_by": "John Doe",
"order_date": "2025-02-01T23:28:48.000000Z",
"budget_count": "0%",
"pick_up_count": 0,
"delivered_count": 0,
"sub_orders": [
{
"id": "9e1c808a-b228-43e0-9e9d-e6b4dc088f7e",
"employee_id": "9e199aff-9ac7-47f9-8e43-91d90a5ee4df",
"currency": "£",
"employee_first_name": "Meda",
"employee_last_name": "Doyle",
"employee_email": "[email protected]",
"address": "555 Agege Motor Road, Ikeja, Nigeria, Nigeria",
"job_title": null,
"status": "order_placed",
"events": [
{
"id": "9e1c808a-b681-4bf1-a6a0-52861f90c9f2",
"asset_order_id": "9e1c808a-b228-43e0-9e9d-e6b4dc088f7e",
"status": "order_placed",
"created_at": "2025-02-01T23:28:48.000000Z",
"updated_at": "2025-02-01T23:28:48.000000Z"
}
],
"total_amount": "2400",
"assets": [
{
"id": "9d5d53c1-99e6-4f04-9e81-d1b48cc00624",
"asset_spec_id": "9d5d53c1-99e6-4f04-9e81-d1b48cc00624",
"asset_id": "9d5d534d-562f-4d16-8d1d-3b2e3e587d43",
"name": "HP Victus 16-r0097nr",
"description": "HP 16-r0097nr, LINUX OS, 16.1\", Intel® Core™ i7, 16GB RAM, 512 SSD, NVIDIA® GeForce RTX™ 4050, FHD, Mica.",
"year": "2022",
"type": "Sale",
"make": "HP",
"model": "14-dq0004x",
"category": "Laptop",
"asset_code": null,
"status": "order_placed",
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d5d534d-562f-4d16-8d1d-3b2e3e587d43/1730387720.webp",
"https://s3.amazonaws.com/rayda.co/test/9d5d534d-562f-4d16-8d1d-3b2e3e587d43/1730387721.jpg"
],
"spec": {
"condition": "New",
"display": "16.1 Inches",
"processor": "i7",
"RAM": "16GB",
"storage": "512GB SSD"
},
"asset_pricing": {
"id": "9d5d53c1-a184-4e49-b7d1-37c6ed85be4e",
"amount": "2400",
"currency": {
"code": "GBP",
"name": "British Pound Sterling",
"symbol": "£"
}
}
}
]
},
{
"id": "9e1c808a-dd08-4c57-90bf-4cd32504fd16",
"employee_id": "9e199b00-fbd7-498c-88c5-87959ab1ae3e",
"currency": "£",
"employee_first_name": "Candida",
"employee_last_name": "Bayer",
"employee_email": "[email protected]",
"address": "45 Road, Gwarinpa, Nigeria, Nigeria",
"job_title": null,
"status": "order_placed",
"events": [
{
"id": "9e1c808a-e0e2-4798-af2e-a2942f8cdb13",
"asset_order_id": "9e1c808a-dd08-4c57-90bf-4cd32504fd16",
"status": "order_placed",
"created_at": "2025-02-01T23:28:48.000000Z",
"updated_at": "2025-02-01T23:28:48.000000Z"
}
],
"total_amount": "2400",
"assets": [
{
"id": "9d5d55c2-f8c1-4a57-97f7-be3253f1ca06",
"asset_spec_id": "9d5d55c2-f8c1-4a57-97f7-be3253f1ca06",
"asset_id": "9d5d5549-4c43-4058-b442-32e746a787f8",
"name": "Asus Intel core i5-(13th generation)",
"description": "ASUS Intel core i5-(13th generation), 512SSD, 16GB RAM, LINUX OS, NVIDIA RTX 4050.",
"year": "2022",
"type": "Sale",
"make": "Asus",
"model": "14-cf2224nia",
"category": "Laptop",
"asset_code": null,
"status": "order_placed",
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d5d5549-4c43-4058-b442-32e746a787f8/1730388379.jpg",
"https://s3.amazonaws.com/rayda.co/test/9d5d5549-4c43-4058-b442-32e746a787f8/1730388380.jpg"
],
"spec": {
"condition": "New",
"processor": "i5",
"RAM": "16GB",
"storage": "512GB SSd"
},
"asset_pricing": {
"id": "9d5d55c3-0023-4cc8-8f0f-35f4492142f2",
"amount": "2400",
"currency": {
"code": "GBP",
"name": "British Pound Sterling",
"symbol": "£"
}
}
}
]
}
]
}